
<!DOCTYPE html>
<html lang="en">
    
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>403</title>
    <link rel="stylesheet" href="/static/css/main/app.css">
    <link rel="stylesheet" href="/static/css/pages/error.css">
    <link rel="shortcut icon" href="/static/images/logo/favicon.svg" type="image/x-icon">
    <link rel="shortcut icon" href="/static/images/logo/favicon.png" type="image/png">
    
    {% include 'components/serverlist.html' %}

</head>

<body>
    <div id="error">
        <div class="error-page container">
            <div class="col-md-8 col-12 offset-md-2">
                <div class="text-center">
                    <img class="img-error" src="/static/images/samples/error-403.svg" alt="Not Found">
                    <h1 class="error-title">Proses Autentikasi..</h1>
                    <p class="fs-5 text-gray-600">
                        Sedang melakukan proses autentikasi, mohon tunggu sebentar
                    </p>
                </div>
            </div>
        </div>
    </div>

    <script>
        let key = getParam("key");
        let formData = new FormData();
        formData.append("activationKey", key);
        
        $.ajax({
            type: "POST",
            url: api(`/activate`),
            data: formData,
            processData: false,
            mimeType: "multipart/form-data",
            contentType: false,
            dataType: "json",
            success: function (response) {
                localStorage.setItem(response.action, response.message);
            },
            error: function() {
                localStorage.setItem("error_message", "Link aktivasi tidak valid atau sudah kadaluarsa");
            },
            complete: function() {
                window.location.replace(base_url("/login"));
            }
        });
    
    </script>
    
</body>

</html>